Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RESOLVED] PHP 5.4, pecl-imagick; PHP_TARGETS issue
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
mno
Apprentice
Apprentice


Joined: 29 Dec 2003
Posts: 285
Location: Toronto, Canada

PostPosted: Wed Dec 26, 2012 10:43 pm    Post subject: [RESOLVED] PHP 5.4, pecl-imagick; PHP_TARGETS issue Reply with quote

Hi all,

I'm trying to emerge pecl-imagick 3.1.0-r2 with a PHP_TARGETS="php-5.4" only (no php-5.3), but emerge gives me the following output:

Code:
lastochka admin # emerge -av pecl-imagick

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ~] dev-php/pecl-imagick-3.1.0_rc2  USE="-examples" PHP_TARGETS="php5-3 -php5-4" 92 kB

Total: 1 package (1 new), Size of downloads: 92 kB

The following USE changes are necessary to proceed:
#required by pecl-imagick (argument)
>=dev-php/pecl-imagick-3.1.0_rc2 php_targets_php5-3


I don't have PHP 5.3 installed, just PHP 5.4. Is this a bug or is this normal?

Thank you,
Max
_________________
"Hello and goodbye. As always." | You can't use   here?? | Unanswered


Last edited by mno on Thu Dec 27, 2012 4:48 pm; edited 2 times in total
Back to top
View user's profile Send private message
lxg
Veteran
Veteran


Joined: 12 Nov 2005
Posts: 1019
Location: Aachen, Germany

PostPosted: Thu Dec 27, 2012 1:03 pm    Post subject: Reply with quote

Can you please post the output of

Code:
grep -ir php /etc/portage/* /etc/make.conf

_________________
lxg.de – codebits and tech talk
Back to top
View user's profile Send private message
mno
Apprentice
Apprentice


Joined: 29 Dec 2003
Posts: 285
Location: Toronto, Canada

PostPosted: Thu Dec 27, 2012 2:28 pm    Post subject: Reply with quote

Thank you lxg, that solved it. I must have not been thinking yesterday. In package.use, I put:

Code:
>=dev-php/pecl-imagick-3.1.0 -php_targets_php5-3 php_targets_php5-4


forgetting that rc2 is below 3.1.0; changing this to

Code:
dev-php/pecl-imagick -php_targets_php5-3 php_targets_php5-4


resolved this issue!
_________________
"Hello and goodbye. As always." | You can't use   here?? | Unanswered
Back to top
View user's profile Send private message
mno
Apprentice
Apprentice


Joined: 29 Dec 2003
Posts: 285
Location: Toronto, Canada

PostPosted: Thu Dec 27, 2012 2:49 pm    Post subject: Reply with quote

Although it's interesting I needed to do that step, in make.conf, I do have

Code:
/etc/make.conf:PHP_TARGETS="php5-4%"


but it didn't take this into account; do I need to set -php5-3%?
_________________
"Hello and goodbye. As always." | You can't use   here?? | Unanswered
Back to top
View user's profile Send private message
lxg
Veteran
Veteran


Joined: 12 Nov 2005
Posts: 1019
Location: Aachen, Germany

PostPosted: Thu Dec 27, 2012 3:09 pm    Post subject: Reply with quote

Could you try removing that percentage sign?
_________________
lxg.de – codebits and tech talk
Back to top
View user's profile Send private message
mno
Apprentice
Apprentice


Joined: 29 Dec 2003
Posts: 285
Location: Toronto, Canada

PostPosted: Thu Dec 27, 2012 3:16 pm    Post subject: Reply with quote

That worked; the % was a relic of an earlier guide for migrating to the multislot PHP; I didn't change anything there since that guide came out several years ago. Not sure if the guide needs to be updated?
_________________
"Hello and goodbye. As always." | You can't use   here?? | Unanswered
Back to top
View user's profile Send private message
lxg
Veteran
Veteran


Joined: 12 Nov 2005
Posts: 1019
Location: Aachen, Germany

PostPosted: Thu Dec 27, 2012 3:25 pm    Post subject: Reply with quote

Could you please post the URL of this guide? If this an official Gentoo guide, could you please submit a bug report on bugs.gentoo.org?
_________________
lxg.de – codebits and tech talk
Back to top
View user's profile Send private message
mno
Apprentice
Apprentice


Joined: 29 Dec 2003
Posts: 285
Location: Toronto, Canada

PostPosted: Thu Dec 27, 2012 3:34 pm    Post subject: Reply with quote

It's this one: http://www.gentoo.org/proj/en/php/php-upgrading.xml
It's already been updated, or I made a mistake when I initially did the migration.
Regardless, thank you very much for your assistance!
Happy holidays,
Max
_________________
"Hello and goodbye. As always." | You can't use   here?? | Unanswered
Back to top
View user's profile Send private message
lxg
Veteran
Veteran


Joined: 12 Nov 2005
Posts: 1019
Location: Aachen, Germany

PostPosted: Thu Dec 27, 2012 4:35 pm    Post subject: Reply with quote

You're welcome. :)
_________________
lxg.de – codebits and tech talk
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum